# Conditional build:
%bcond_without	tests	# unit tests

%define		pkgname	huawei-lte-api
%define		module	huawei_lte_api

Summary:	API For huawei LAN/WAN LTE Modems
Name:		python3-huawei-lte-api
Version:	1.5.4
Release:	3
License:	LGPL v3
Group:		Libraries/Python
# if pypi:
Source0:	https://github.com/Salamek/huawei-lte-api/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	cea830d59b5b9f0846b3e333100c614d
URL:		https://github.com/Salamek/huawei-lte-api
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
BuildRequires:	python3-pycryptodomex
BuildRequires:	python3-dicttoxml
BuildRequires:	python3-xmltodict
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
API For huawei LAN/WAN LTE Modems, you can use this to simply send
SMS, get information about your internet usage, signal, and tons of
other stuff.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}*-py*.egg-info
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-huawei-lte-api.git;a=log;h=auto/th/python3-huawei-lte-api-1.5.4-3

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b00540d
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c0fa7a2
- rebuild with python 3.10

* Mon Jan 31 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bb273d
- Up to 1.5.4.

* Wed Sep 22 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 606d81c
- Up to 1.5.2; fixes pycryptodomex dep

* Tue Sep 21 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fe0da3
- Updated to 1.5.

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 33637b0
- simplify files to assure we package all files and dirs, rel 2

* Mon Jul 19 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> c7cd6df
- Initial.

